import request from '@/utils/request'

export function list(data) {
  return request({
    url: '/notice',
    method: 'get',
    params: data
  })
}

export function createOrUpdate(data) {
  return request({
    url: '/notice',
    method: 'post',
    data: data
  })
}

export function del(id) {
  return request({
    url: '/notice/' + id,
    method: 'delete'
  })
}

export function get(id) {
  return request({
    url: '/notice/' + id,
    method: 'get'
  })
}

export function productList(data) {
  return request({
    url: '/product',
    method: 'get',
    params: data
  })
}

export function addProduct(data) {
  return request({
    url: '/product/weekly',
    method: 'post',
    data: data
  })
}

export default { list, createOrUpdate, del, get }
