import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'product',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'product',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'product/' + data.id,
    method: 'post',
    data
  })
}

export function recommend(data) {
  return request({
    url: 'product/' + data.id + '/recommend',
    method: 'post',
    params: data
  })
}

export default { del, add, edit, recommend }
