import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'product',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'product',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'store/' + data.id,
    method: 'post',
    data
  })
}

export function recommend(data) {
  return request({
    url: 'product/' + data.id + '/recommend',
    method: 'post',
    params: data
  })
}

export function reportStoreTrip(data) {
  return request({
    url: 'report/store/trip',
    method: 'get',
    params: data
  })
}

export function reportStoreFavorite(data) {
  return request({
    url: 'report/store/favorite',
    method: 'get',
    params: data
  })
}

export function reportStoreTripCount(data) {
  return request({
    url: 'report/store/trip/count',
    method: 'get',
    params: data
  })
}

export function reportStoreFavoriteCount(data) {
  return request({
    url: 'report/store/favorite/count',
    method: 'get',
    params: data
  })
}

export function reportStoreProductCount() {
  return request({
    url: 'report/store/product/count',
    method: 'get'
  })
}
export default { del, add, edit, recommend, reportStoreTrip, reportStoreFavorite, reportStoreTripCount, reportStoreFavoriteCount, reportStoreProductCount }
