import request from '@/utils/request'

export function detail(id) {
  return request({
    url: '/train/subject/' + id,
    method: 'get'
  })
}

export function updateDetail(data) {
  return request({
    url: '/train/subject/' + data.subjectId + '/course/' + data.id,
    method: 'post',
    data: data
  })
}

export function deleteCourse(data) {
  return request({
    url: '/train/subject/' + data.subjectId + '/course/' + data.id,
    method: 'delete'
  })
}

export function addCourse(data) {
  return request({
    url: '/train/subject/' + data.subjectId + '/course',
    method: 'post',
    data: data
  })
}
export default { detail, updateDetail, addCourse }
